{ pkgs, config, ... }:
{
  programs.aerc = {
    extraConfig.general.unsafe-accounts-conf = true;
    enable = true;
  };
  accounts.email.accounts =
    let
      aerc = {
        enable = true;
      };
    in
    {
      "ens" = {
        primary = true;
        inherit aerc;
        address = "lubin.bailly@ens.psl.eu";
        realName = "Lubin Bailly";
        userName = "lbailly";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "Lubin Bailly";
        };
        passwordCommand = "cat /run/agenix/clipper";
        imap = {
          host = "clipper.ens.psl.eu";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "clipper.ens.psl.eu";
          port = 465;
          tls.enable = true;
        };
      };
      "katmail" = {
        inherit aerc;
        address = "catvayor@katvayor.net";
        realName = "catvayor";
        userName = "catvayor@katvayor.net";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "catvayor";
        };
        passwordCommand = "cat /run/agenix/mails-kat";
        imap = {
          host = "ssl0.ovh.net";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "ssl0.ovh.net";
          port = 465;
          tls.enable = true;
        };
      };
      "dgnum" = {
        inherit aerc;
        address = "catvayor@dgnum.eu";
        realName = "catvayor";
        userName = "catvayor@dgnum.eu";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "catvayor";
        };
        passwordCommand = "cat /run/agenix/mails-dgnum";
        imap = {
          host = "kurisu.lahfa.xyz";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "kurisu.lahfa.xyz";
          port = 587;
          tls.enable = true;
          tls.useStartTls = true;
        };
      };
      "gmail.geek" = {
        inherit aerc;
        address = "lubin.geek@gmail.com";
        realName = "Lubin Bailly";
        userName = "lubin.geek@gmail.com";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "Lubin Bailly";
        };
        passwordCommand = "cat /run/agenix/geek.gle";
        imap = {
          host = "imap.gmail.com";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "smtp.gmail.com";
          port = 465;
          tls.enable = true;
        };
      };
      "gmail.pro" = {
        inherit aerc;
        address = "lubin.bailly@gmail.com";
        realName = "Lubin Bailly";
        userName = "lubin.bailly@gmail.com";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "Lubin Bailly";
        };
        passwordCommand = "cat /run/agenix/pro.gle";
        imap = {
          host = "imap.gmail.com";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "smtp.gmail.com";
          port = 465;
          tls.enable = true;
        };
      };
      "laposte" = {
        inherit aerc;
        address = "lubin-bailly@laposte.net";
        realName = "Lubin Bailly";
        userName = "lubin-bailly";
        signature = {
          delimiter = "--";
          showSignature = "append";
          text = "Lubin Bailly";
        };
        passwordCommand = "cat /run/agenix/mails-laposte";
        imap = {
          host = "imap.laposte.net";
          port = 993;
          tls.enable = true;
        };
        smtp = {
          host = "smtp.laposte.net";
          port = 465;
          tls.enable = true;
        };
      };
    };
}
