{
  programs.ssh = {
    enable = true;
    compression = true;
    serverAliveCountMax = 1;
    serverAliveInterval = 10;
    matchBlocks = {
      "*" = {
        setEnv."TERM" = "xterm-256color";
      };

      "watcher.kat" = {
        user = "root";
        hostname = "watcher.katvayor.net";
      };
      "manah.kat" = {
        user = "root";
        hostname = "100.102.49.84";
      };
      "test.kat" = {
        user = "root";
        hostname = "100.102.129.187";
      };

      "virt.kat" = {
        user = "root";
        hostname = "fe80::2%%virbr0";
        proxyJump = "manah.kat";
      };
      "mail-test.kat" = {
        user = "root";
        hostname = "fe80::3%%virbr0";
        proxyJump = "manah.kat";
      };
      "traque.kat" = {
        user = "root";
        hostname = "fe80::4%%virbr0";
        proxyJump = "manah.kat";
      };
      "son.kat" = {
        user = "root";
        hostname = "fe80::5%%virbr0";
        proxyJump = "manah.kat";
      };
      "orchid.kat" = {
        user = "root";
        hostname = "fe80::6%%virbr0";
        proxyJump = "manah.kat";
      };

      "sas.ens" = {
        user = "lbailly";
        hostname = "sas.eleves.ens.fr";
      };
      "degette.ens" = {
        user = "dg";
        hostname = "www.dg.ens.fr";
        proxyJump = "sas.ens";
      };
      "bocal.ens" = {
        user = "bocal";
        hostname = "fregate";
        proxyJump = "sas.ens";
      };

      "netcore02.dgn" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::1001";
        proxyJump = "vault01.dgnum";
        identityFile = "~/.ssh/juniper";
      };
      "netaccess01.dgn" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::2001";
        proxyJump = "vault01.dgnum";
        identityFile = "~/.ssh/juniper";
      };
      "vault01.dgnum" = {
        user = "root";
        hostname = "vault01.hyp01.infra.dgnum.eu";
      };
      "bridge01.dgnum" = {
        user = "root";
        hostname = "fd26:baf9:d250:8000::ffff";
        proxyJump = "vault01.dgnum";
      };
    };
  };
}
